AOWP_FunctionExecutionPointcut (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.pointcut.designators.AOWP_FunctionExecutionPointcut
/aspect/pointcut/designators/FunctionExecutionPointcut.class.php at line 12

# Class AOWP_FunctionExecutionPointcut

    AOWP_Pointcut
        └─AOWP_StaticPointcut
           └─AOWP_FunctionExecutionPointcut

public class AOWP_FunctionExecutionPointcut
extends AOWP_StaticPointcut

関数実行のイベントを選択するポイントカット記述子です。

Author:
  keiji

Field Summary
private mixed | $_argumentsCount
private mixed | $_functionName

Constructor Summary
AOWP_FunctionExecutionPointcut(string functionName, int argumentsCount)

Method Summary
protected void | _isJoinPointShadow(mixed joinPoint)

Methods inherited from aowp.aspect.pointcut.AOWP_StaticPointcut
_runtimeMatch

Methods inherited from aowp.aspect.pointcut.AOWP_Pointcut
__clone, _getAspectInstance, _isJoinPointShadow, _runtimeMatch, isHavePointcut, isJoinPointShadow, isNot, opAnd, opNot, opOr, patternMatch, runtimeMatch, setAdvice

## Field Detail

/aspect/pointcut/designators/FunctionExecutionPointcut.class.php at line 14

### _argumentsCount

`private mixed $_argumentsCount`

/aspect/pointcut/designators/FunctionExecutionPointcut.class.php at line 13

### _functionName

`private mixed $_functionName`

## Constructor Detail

/aspect/pointcut/designators/FunctionExecutionPointcut.class.php at line 21

### AOWP_FunctionExecutionPointcut

`public AOWP_FunctionExecutionPointcut(string functionName, int argumentsCount)`

Parameters:
  functionName - 関数名
  argumentsCount - 選択対象の関数の引き数の数

## Method Detail

/aspect/pointcut/designators/FunctionExecutionPointcut.class.php at line 26

### _isJoinPointShadow

`protected void _isJoinPointShadow(mixed joinPoint)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr